aboutsummaryrefslogtreecommitdiffstats
path: root/x11/xf86-video-chips
diff options
context:
space:
mode:
Diffstat (limited to 'x11/xf86-video-chips')
-rw-r--r--x11/xf86-video-chips/APKBUILD23
1 files changed, 23 insertions, 0 deletions
diff --git a/x11/xf86-video-chips/APKBUILD b/x11/xf86-video-chips/APKBUILD
new file mode 100644
index 0000000000..2bc8814325
--- /dev/null
+++ b/x11/xf86-video-chips/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xf86-video-chips
+pkgver=1.2.1
+pkgrel=0
+pkgdesc="Chips and Technologies video driver"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="uclibc"
+makedepends="pkgconfig g++ xorg-server-dev libxi-dev fontsproto randrproto
+ videoproto renderproto"
+
+source="http://xorg.freedesktop.org//releases/individual/driver/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="2f2643fca6335f18024bffa6c4e0c12f xf86-video-chips-1.2.1.tar.bz2"